Mmmhh, I didn't expect changes in the PDE API, and haven't checked Helios. Is there a lot of breakages? I think we need to keep compatibility with Galileo so hopefully it's deprecated apis that have disappeared for which we can get a replacement.
Java 1.5 features and Generics are OK, go ahead with these.
As I said I'm on holidays, so don't expect much activity from my side before august. But please submit patches and I can incorporate them when I'm back. I'm happy to see people interested in eclipsefp!

JP


On Thu, Jul 15, 2010 at 8:13 PM, Scott Michel <scooter.phd@gmail.com> wrote:
The build from source breaks due to changes to the Eclipse PDE API. Two questions before I propose patches:

(a) Am I duplicating work-in-progress?
(b) Using the parameterized syntax for ArrayList: is this allowed or off limits?


-scooter
------------------------------------------------------------------------------
This SF.net email is sponsored by Sprint
What will you do first with EVO, the first 4G phone?
Visit sprint.com/first -- http://p.sf.net/sfu/sprint-com-first
_______________________________________________
eclipsefp-develop mailing list
eclipsefp-develop@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/eclipsefp-develop




--
JP Moresmau
http://jpmoresmau.blogspot.com/